summaryrefslogtreecommitdiffstats
path: root/update.sh
diff options
context:
space:
mode:
authorCole Mickens <cole.mickens@gmail.com>2018-12-29 15:42:38 -0800
committerCole Mickens <cole.mickens@gmail.com>2019-01-03 20:33:55 -0800
commitb953a1b4b5d5bb891c714cd51985e40863d7de87 (patch)
tree677bc8f2a6363dd37cd3ac8acff9005d5338deba /update.sh
parent8d93ac7e0f479aed74eb5a35d445423b850412c0 (diff)
update most packages
wlroots matches upstream nixpkgs (no longer needs custom meson48) wayfire now temporarily uses an old, pinned wlroots packages updated: - fmt - wlroots - sway-beta - grim - oguri - waybar - wayfire / wf-config - bspwc - waybox - wl-clipboard - wmfocus - i3status-rust Signed-off-by: Cole Mickens <cole.mickens@gmail.com>
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh12
1 files changed, 8 insertions, 4 deletions
diff --git a/update.sh b/update.sh
index 27dd2f2..f05386c 100755
--- a/update.sh
+++ b/update.sh
@@ -75,10 +75,14 @@ rg --multiline '(?s)(.*)<!--pkgs-->(.*)<!--pkgs-->(.*)' "README.md" \
> README2.md; mv README2.md README.md
# build all
-nix-build --no-out-link --keep-going build.nix
-nix-build --no-out-link --keep-going build.nixpkgs.nix
+nix-build --no-out-link --keep-going build.nixos-unstable.nix || true
+nix-build --no-out-link --keep-going build.nixpkgs-unstable.nix || true
# push all to cachix
-nix-build --no-out-link --keep-going build.nix | cachix push "${cachixremote}"
-nix-build --no-out-link --keep-going build.nixpkgs.nix | cachix push "${cachixremote}"
+nix-build --no-out-link --keep-going build.nixos-unstable.nix | cachix push "${cachixremote}" || true
+nix-build --no-out-link --keep-going build.nixpkgs-unstable.nix | cachix push "${cachixremote}" || true
+
+# these should be noops if all went well
+nix-build --no-out-link build.nixos-unstable.nix | cachix push "${cachixremote}"
+nix-build --no-out-link build.nixpkgs-unstable.nix | cachix push "${cachixremote}"